package org.objectweb.jonas.jtests.beans.ejbql;

import java.rmi.RemoteException;
import java.util.Date;

import javax.ejb.CreateException;
import javax.naming.NamingException;

public interface CustomerRemote extends javax.ejb.EJBObject {

    public void setAddress(String street, String city,
                           String state, String zip) 
	throws RemoteException, CreateException, NamingException;		


    public void setAddress(AddressDO address) 
	throws RemoteException, CreateException, NamingException;		

    public void addPhoneNumber(String number, byte type)
		throws NamingException, CreateException, RemoteException ;

    public AddressDO getAddress() throws RemoteException;	

    public Name getName() throws RemoteException;
    public void setName(Name name) throws RemoteException;

    public boolean getHasGoodCredit() throws RemoteException;
    public void setHasGoodCredit(boolean flag) throws RemoteException;
    public  Integer getId() throws RemoteException;
    
    public  void setCreditCard(Date expCreditcard, String numbCreditcard, String nameCreditcard, String orgCreditcard ,String nameCreditCompany, String streetAddress, String cityAddress, String stateAddress,  String zipAddress ) throws RemoteException;

}
